GNU bug report logs - #34211
error running container: mingetty cannot find ttys

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Efraim Flashner <efraim@HIDDEN>; dated Sat, 26 Jan 2019 19:23:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 34211 <at> debbugs.gnu.org:


Received: (at 34211) by debbugs.gnu.org; 6 Feb 2019 12:17:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 07:17:17 2019
Received: from localhost ([127.0.0.1]:34075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grM8g-0007cJ-K5
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 07:17:17 -0500
Received: from ns13.heimat.it ([46.4.214.66]:32884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1grM8d-0007c2-VV
 for 34211 <at> debbugs.gnu.org; Wed, 06 Feb 2019 07:17:13 -0500
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 2A0CD3000D5;
 Wed,  6 Feb 2019 12:17:06 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id JqdIyWTBRHqg; Wed,  6 Feb 2019 12:16:46 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.161.211])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 132593000CD;
 Wed,  6 Feb 2019 12:16:46 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette.mug.biscuolo.net
 [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 51555300056;
 Wed,  6 Feb 2019 13:16:45 +0100 (CET)
Received: (nullmailer pid 3143 invoked by uid 1000);
 Wed, 06 Feb 2019 12:16:45 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: guix-devel@HIDDEN, 34211 <at> debbugs.gnu.org
Subject: Re: error running container: mingetty cannot find ttys
In-Reply-To: <20190126192150.GD11329@macbook41>
Organization: Xelera.eu
References: <874l9wbpfb.fsf@HIDDEN>
 <20190126192150.GD11329@macbook41>
Date: Wed, 06 Feb 2019 13:16:44 +0100
Message-ID: <87sgx1glhv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34211
Cc: help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi!

plase is there someone else that could reproduce this issue with "guix
system container": https://issues.guix.info/issue/34211 ?

I'm still not able to run a container built using "guix system container
container-minimal.scm -r container-minimal"

I'm on guix commit: 4aeb7f34c948f32363f2ae29c6942c6328df758c

this is the simple container.scm I'm using:

=2D-8<---------------cut here---------------start------------->8---
;; This is an operating system configuration template
;; to test containers via guix system (also on foregin distros)
;; see https://www.gnu.org/software/guix/manual/en/html_node/Invoking-guix-=
system.html

(use-modules (gnu))
(use-service-modules networking ssh)
(use-package-modules screen ssh emacs)

(operating-system
  (host-name "test-container")
  (timezone "Europe/Rome")
  (locale "en_US.utf8")

  ;; Boot in "legacy" BIOS mode
  (bootloader (bootloader-configuration
                (bootloader grub-bootloader)
                (target "/dev/sda")))

  (file-systems (cons (file-system
                        (device (file-system-label "guixsd"))
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))
=20=20
  ;; This is where user accounts are specified.  The "root"
  ;; account is implicit, and is initially created with the
  ;; empty password.
  (users (cons (user-account
                (name "gbiscuolo")
                (comment "Giovanni Biscuolo (admin)")
                (group "users")
                (supplementary-groups '("wheel" "audio" "video"))
                (home-directory "/home/gbiscuolo"))
               %base-user-accounts))
=20=20
  ;; Globally-installed packages.
  (packages (cons* screen openssh emacs %base-packages))

  ;; Add services to the baseline: a DHCP client and
  ;; an SSH server.
  (services (cons* (service dhcp-client-service-type)
		   (service openssh-service-type
                            (openssh-configuration
			     (x11-forwarding? #t)
                             (permit-root-login 'without-password)
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20
                             (port-number 22)))
                   %base-services)))
=2D-8<---------------cut here---------------end--------------->8---

and this are the messages I got on running the container:

=2D-8<---------------cut here---------------start------------->8---
registering public key '/gnu/store/4v6cxail1ajinjqsgfblan132fbw06m4-guix-0.=
16.0-9.4bddd12/share/guix/hydra.gnu.org.pub'...
registering public key '/gnu/store/4v6cxail1ajinjqsgfblan132fbw06m4-guix-0.=
16.0-9.4bddd12/share/guix/berlin.guixsd.org.pub'...
ssh-keygen: generating new host keys: RSA DSA ECDSA ED25519=20
nscd: 166 monitoring file `/etc/hosts` (1)
nscd: 166 monitoring directory `/etc` (2)
nscd: 166 monitoring file `/etc/resolv.conf` (3)
nscd: 166 monitoring directory `/etc` (2)
nscd: 166 monitoring file `/etc/services` (4)
nscd: 166 monitoring directory `/etc` (2)
failed to start service 'console-font-tty1'
failed to start service 'console-font-tty2'
failed to start service 'console-font-tty3'
failed to start service 'console-font-tty4'
failed to start service 'console-font-tty5'
failed to start service 'console-font-tty6'
Feb  6 12:45:18 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[181]: tty3: No such file or directory
Feb  6 12:45:18 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[180]: tty4: No such file or directory
Feb  6 12:45:18 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[178]: tty6: No such file or directory
Feb  6 12:45:18 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[179]: tty5: No such file or directory
Feb  6 12:45:18 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[183]: tty1: No such file or directory
Feb  6 12:45:18 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[182]: tty2: No such file or directory
Feb  6 12:45:24 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[190]: tty4: No such file or directory
Feb  6 12:45:24 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[188]: tty6: No such file or directory
Feb  6 12:45:24 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[189]: tty5: No such file or directory
Feb  6 12:45:24 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[191]: tty3: No such file or directory
Feb  6 12:45:24 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[193]: tty1: No such file or directory
Feb  6 12:45:24 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[192]: tty2: No such file or directory
Feb  6 12:45:29 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[195]: tty6: No such file or directory
Feb  6 12:45:29 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[194]: tty4: No such file or directory
Feb  6 12:45:29 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[197]: tty5: No such file or directory
Feb  6 12:45:29 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[198]: tty3: No such file or directory
Feb  6 12:45:29 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[199]: tty1: No such file or directory
Feb  6 12:45:29 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[200]: tty2: No such file or directory
Feb  6 12:45:34 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[201]: tty6: No such file or directory
Feb  6 12:45:34 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[203]: tty5: No such file or directory
Feb  6 12:45:34 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[202]: tty4: No such file or directory
Feb  6 12:45:34 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[204]: tty3: No such file or directory
Feb  6 12:45:34 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[205]: tty1: No such file or directory
Feb  6 12:45:34 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[206]: tty2: No such file or directory
Feb  6 12:45:39 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[209]: tty4: No such file or directory
Feb  6 12:45:39 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[208]: tty6: No such file or directory
Feb  6 12:45:39 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[210]: tty5: No such file or directory
Feb  6 12:45:39 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[211]: tty3: No such file or directory
Feb  6 12:45:39 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[213]: tty2: No such file or directory
Feb  6 12:45:39 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[212]: tty1: No such file or directory
Feb  6 12:45:44 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[214]: tty4: No such file or directory
Feb  6 12:45:44 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[217]: tty5: No such file or directory
Feb  6 12:45:44 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[216]: tty6: No such file or directory
Feb  6 12:45:44 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[218]: tty3: No such file or directory
Feb  6 12:45:44 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[219]: tty2: No such file or directory
Feb  6 12:45:44 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-minge=
tty-1.08/sbin/mingetty[220]: tty1: No such file or directory
=2D-8<---------------cut here---------------end--------------->8---

I have to TERM the the container since the "ttN: No such file or
directory" message loops indefinitely

Efraim Flashner was able to reproduce the issue: is my container
configuration broken

Efraim Flashner <efraim@HIDDEN> writes:

[...]

> I tested the config (after removing the references to your ssh key) on
> commit fc9c47bd7cdfd6265681e6b2c48fdb7889672bcc and I got the same
> issue. Forwarding on to bug-guix

please any hint on how to solve this issue?

Thanks!
Giovanni

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEERcxjuFJYydVfNLI5030Op87MORIFAlxa0CwACgkQ030Op87M
ORJq6xAAnwXd4JYbzWm3c4qOSe7vCbhDDtCe7V7MPQznFrWCjIhYIOhCpUibu3+G
TLMK0QaAADbug30/Q0DlYfgXoim5GZU9Rp4OFNSWfH0W5ZnX/PR0dEObpT0fO5Eo
BBgNR0JOTBHuaDk4+arDCH+XPuludqw1a/RxrM+vTLBKQfrIdxTKnqOf5QKzyi5O
/rtVDBaix0fy9gBqD6pXuB2EO/WRr9bJ5IrL4FvxkW1lYE3YOjk4+R+S+yt1VDlc
cGLpvvpScOBHg0LK3c8fHpzoaYwohB9lJkdpCp2u7ZBWLHCbi/93nGjn41L/pIyi
pvpVrh4jK1vp6yp6Xb5Rpqi5cMR6LfYvladGJlU/0bl58RZ6vwqfwuLdNBmxlNxu
51zQmJu2SZP/fS/JdYe2CzK0ZfhzAEq+4CSA1Q51GqXz1tvqzPP3LF8sbre3Yr+e
mhzDndKI0o11s61ekVXDuIXAwmsAJOHzRAwwwZLyJmGrwt9LEVTfCaBCxczosuRO
+p6MQV4u4z7rBfJ2tCpm9mvjPw6Caidelc3CwXalLQH5PQzGn2ZhQoQzXaTv7ZtZ
sH3Tka9v6kPB7iGg1xZAIJBnlXEwMZP7a2fopyZdVaKIjdENtTAgvnUF27zjU5Op
qqFzwX1IS4eLvZYgn1z5ZNNev6ee+THJRdMLnQLq3k5q0TKibyo=
=uMyZ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34211; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2019 19:22:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 14:22:05 2019
Received: from localhost ([127.0.0.1]:46792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnTWn-0007Mr-9N
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 14:22:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1gnTWk-0007MN-PX
 for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 14:22:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:51955)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <efraim@HIDDEN>)
 id 1gnTWf-0007tW-JW
 for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 14:21:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40894)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1gnTWe-00062w-4H
 for bug-guix@HIDDEN; Sat, 26 Jan 2019 14:21:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <efraim@HIDDEN>) id 1gnTWb-0007rB-Qv
 for bug-guix@HIDDEN; Sat, 26 Jan 2019 14:21:56 -0500
Received: from flashner.co.il ([178.62.234.194]:59366)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <efraim@HIDDEN>)
 id 1gnTWb-0007qS-H4; Sat, 26 Jan 2019 14:21:53 -0500
Received: from localhost (unknown [188.120.128.87])
 by flashner.co.il (Postfix) with ESMTPSA id 34B05401E7;
 Sat, 26 Jan 2019 19:21:52 +0000 (UTC)
Date: Sat, 26 Jan 2019 21:21:51 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>
Subject: Re: error running container: mingetty cannot find ttys
Message-ID: <20190126192150.GD11329@macbook41>
References: <874l9wbpfb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="EY/WZ/HvNxOox07X"
Content-Disposition: inline
In-Reply-To: <874l9wbpfb.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.11.0 (2018-11-25)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 178.62.234.194
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--EY/WZ/HvNxOox07X
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Fri, Jan 25, 2019 at 06:46:48PM +0100, Giovanni Biscuolo wrote:
> Hi guix!
>=20
> I'm experimenting with my first "system container": it builds but it
> fails running
>=20
> I build the container using this operating system definition:




>=20
> --8<---------------cut here---------------start------------->8---
> $ guix system container ../labs/configuration/container-minimal.scm -r co=
ntainer-minimal
> /localhome/g/guix/labs/configuration/container-minimal.scm:41:19: warning=
: 'dhcp-client-service' is deprecated, use 'dhcp-client-service-type' inste=
ad
> guix system: warning: Your Guix installation is 9 days old.
> guix system: warning: Consider running 'guix pull' followed by
> 'guix system reconfigure' to get up-to-date packages and security updates.
>=20
> /gnu/store/n3577q00rwzccbc50cqhlwhsnkpd1lrr-run-container
> --8<---------------cut here---------------end--------------->8---
>=20
> then I start the container as root
>=20
> --8<---------------cut here---------------start------------->8---
> $ sudo -E ./container-minimal=20
> [sudo] password for g:=20
> making '/gnu/store/5px51fc8nspwkhni8kprpxcjl6mxznd5-system' the current s=
ystem...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/0a7gn00mqzg5kyrwwd9dyjyvan9vlxsa-etc...
> adding user 'root'...
> adding group 'root'...
> adding group 'wheel'...
> adding group 'users'...
> adding group 'nogroup'...
> adding group 'tty'...
> adding group 'dialout'...
> adding group 'kmem'...
> adding group 'input'...
> adding group 'video'...
> adding group 'audio'...
> adding group 'netdev'...
> adding group 'lp'...
> adding group 'disk'...
> adding group 'floppy'...
> adding group 'cdrom'...
> adding group 'tape'...
> adding group 'kvm'...
> adding group 'guixbuild'...
> adding group 'sshd'...
> usermod: no changes
> adding user 'gbiscuolo'...
> adding user 'nobody'...
> adding user 'guixbuilder01'...
> adding user 'guixbuilder02'...
> adding user 'guixbuilder03'...
> adding user 'guixbuilder04'...
> adding user 'guixbuilder05'...
> adding user 'guixbuilder06'...
> adding user 'guixbuilder07'...
> adding user 'guixbuilder08'...
> adding user 'guixbuilder09'...
> adding user 'guixbuilder10'...
> adding user 'sshd'...
> registering public key '/gnu/store/vv1kkj9aqpv1akk7l7vp2kkd695wgxcr-guix-=
0.16.0-8.7ba2b27/share/guix/hydra.gnu.org.pub'...
> registering public key '/gnu/store/vv1kkj9aqpv1akk7l7vp2kkd695wgxcr-guix-=
0.16.0-8.7ba2b27/share/guix/berlin.guixsd.org.pub'...
> `/gnu/store/cyh3fv8fi86nx4pw8gh4r4hdzi5w31cm-openssh-authorized-keys/gbis=
cuolo' -> `/etc/ssh/authorized_keys.d/gbiscuolo'
> ssh-keygen: generating new host keys: RSA DSA ECDSA ED25519=20
> nscd: 178 monitoring file `/etc/hosts` (1)
> nscd: 178 monitoring directory `/etc` (2)
> nscd: 178 monitoring file `/etc/resolv.conf` (3)
> nscd: 178 monitoring directory `/etc` (2)
> nscd: 178 monitoring file `/etc/services` (4)
> nscd: 178 monitoring directory `/etc` (2)
> failed to start service 'console-font-tty1'
> failed to start service 'console-font-tty2'
> failed to start service 'console-font-tty3'
> failed to start service 'console-font-tty4'
> failed to start service 'console-font-tty5'
> failed to start service 'console-font-tty6'
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[191]: tty5: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[190]: tty6: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[193]: tty3: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[194]: tty2: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[195]: tty1: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[192]: tty4: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[200]: tty6: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[202]: tty4: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[201]: tty5: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[204]: tty2: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[205]: tty1: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[203]: tty3: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[206]: tty6: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[207]: tty4: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[208]: tty5: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[210]: tty2: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[211]: tty1: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[212]: tty3: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[213]: tty6: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[214]: tty5: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[216]: tty2: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[217]: tty1: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[218]: tty3: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[219]: tty4: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[220]: tty6: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[221]: tty5: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[222]: tty1: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[223]: tty2: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[224]: tty3: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[225]: tty4: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[226]: tty6: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[227]: tty5: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[230]: tty2: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[231]: tty3: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[232]: tty4: No such file or directory
> Jan 25 18:31:08 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[234]: tty5: No such file or directory
> Jan 25 18:31:08 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[235]: tty2: No such file or directory
> Jan 25 18:31:08 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-min=
getty-1.08/sbin/mingetty[236]: tty3: No such file or directory
> --8<---------------cut here---------------end--------------->8---
>=20
> it loops indefinitely, I have to ^C it to stop it
>=20
> any hint please?
>=20
> Thanks!
> Giovanni
>=20
I tested the config (after removing the references to your ssh key) on
commit fc9c47bd7cdfd6265681e6b2c48fdb7889672bcc and I got the same
issue. Forwarding on to bug-guix


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--EY/WZ/HvNxOox07X
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlxMs0sACgkQQarn3Mo9
g1EB9w//f5SJhT8xIwAefYNxg0DoZjcoTSffFtLj9y7zIt+dq6L65W6icjvW/dOF
6dj+RBOG+LB0mB5gO4yWvjzDkcqaZnB2uOeV+WwsNmCvhcbdZf9xABvfDbqJZR4N
TJRA9nw0i3kb/G5sSvbEoRxqq4EU+Ho9SCfV7TiuoJ1M+s7qdXndCvSkSpprsbpc
oRYz92wsPSyYO389uCYKcheZU2Cf5KngK2WtqMO9+b4c7dPAtEJUxfFTA+hPuQho
OuoGbECyY9DJ1BG0iuEA9dv3b6Y0dWn5Bh0Z53LIcehwlfpY76b+dV1KvTL0U/d2
uHhuE5nWDxOxuiJ4AT8xUr6or3ngSBct+wLa0EXBQWkIaa3bKZUaq9+j1sNVzH7a
n3bEbeRsd+/i4WFqg0QhhSUtaAmW/pc+7e4Kj26R9f8lI35rs1cX9NG5aX/NLPSy
JZlUeoMC/8ADPwLvAuusa09AICafGNGUNKv869kxAEMx6IcLOZCs/Zs29w2toXoW
QWH90GJtRVj4mCE5Ad37Dd7DkvFMJoSxf5R8YHAuhNecz68b5rY8cBM+FtefnlAD
KvyD4KytDXgJS8NZMp9fFL1Rg0CbD9WKRf9dQ3u2qFHhNOxX2edR/hRz/Jsk86m/
OUJLapcKkZeHpAZcjAWNitoemlGeiNzVDPz1kGiV/pFeU/EatA8=
=9uQk
-----END PGP SIGNATURE-----

--EY/WZ/HvNxOox07X--




Acknowledgement sent to Efraim Flashner <efraim@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34211; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Feb 2019 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.